link problem

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

link problem

Kazu Yamamoto (山本和彦)
Hi,

GHC head of today cannot link installed libraries. When I tried to
install "lifted-base", the following error occurred:

----
[6 of 6] Compiling Control.Concurrent.Lifted ( Control/Concurrent/Lifted.hs, dist/build/Control/Concurrent/Lifted.o )
/usr/bin/ld: cannot find -lHSmonad-control-0.3.2.1-ghc7.7.20130430
/usr/bin/ld: cannot find -lHStransformers-base-0.4.1-ghc7.7.20130430
/usr/bin/ld: cannot find -lHSbase-unicode-symbols-0.2.2.4-ghc7.7.20130430
collect2: ld returned 1 exit status
cabal: Error: some packages failed to install:
lifted-base-0.2.0.4 failed during the building phase. The exception was:
ExitFailure 1
----

Each library names followed by "-ghc7.7.20130430". Is this correct?

Note that "lifted-base" was able to be installed in a few days ago.

--Kazu


Reply | Threaded
Open this post in threaded view
|

link problem

Kazu Yamamoto (山本和彦)
Hi,

I should say that I tested this on Linux.

--Kazu

> Hi,
>
> GHC head of today cannot link installed libraries. When I tried to
> install "lifted-base", the following error occurred:
>
> ----
> [6 of 6] Compiling Control.Concurrent.Lifted ( Control/Concurrent/Lifted.hs, dist/build/Control/Concurrent/Lifted.o )
> /usr/bin/ld: cannot find -lHSmonad-control-0.3.2.1-ghc7.7.20130430
> /usr/bin/ld: cannot find -lHStransformers-base-0.4.1-ghc7.7.20130430
> /usr/bin/ld: cannot find -lHSbase-unicode-symbols-0.2.2.4-ghc7.7.20130430
> collect2: ld returned 1 exit status
> cabal: Error: some packages failed to install:
> lifted-base-0.2.0.4 failed during the building phase. The exception was:
> ExitFailure 1
> ----
>
> Each library names followed by "-ghc7.7.20130430". Is this correct?
>
> Note that "lifted-base" was able to be installed in a few days ago.
>
> --Kazu
>
> _______________________________________________
> ghc-devs mailing list
> ghc-devs at haskell.org
> http://www.haskell.org/mailman/listinfo/ghc-devs


Reply | Threaded
Open this post in threaded view
|

link problem

Kazu Yamamoto (山本和彦)
Hi,

Does anyone reproduce this? I cannot install warp with GHC head on
Linux recently.

--Kazu

> Hi,
>
> I should say that I tested this on Linux.
>
> --Kazu
>
>> Hi,
>>
>> GHC head of today cannot link installed libraries. When I tried to
>> install "lifted-base", the following error occurred:
>>
>> ----
>> [6 of 6] Compiling Control.Concurrent.Lifted ( Control/Concurrent/Lifted.hs, dist/build/Control/Concurrent/Lifted.o )
>> /usr/bin/ld: cannot find -lHSmonad-control-0.3.2.1-ghc7.7.20130430
>> /usr/bin/ld: cannot find -lHStransformers-base-0.4.1-ghc7.7.20130430
>> /usr/bin/ld: cannot find -lHSbase-unicode-symbols-0.2.2.4-ghc7.7.20130430
>> collect2: ld returned 1 exit status
>> cabal: Error: some packages failed to install:
>> lifted-base-0.2.0.4 failed during the building phase. The exception was:
>> ExitFailure 1
>> ----
>>
>> Each library names followed by "-ghc7.7.20130430". Is this correct?
>>
>> Note that "lifted-base" was able to be installed in a few days ago.
>>
>> --Kazu
>>
>> _______________________________________________
>> ghc-devs mailing list
>> ghc-devs at haskell.org
>> http://www.haskell.org/mailman/listinfo/ghc-devs
>
> _______________________________________________
> ghc-devs mailing list
> ghc-devs at haskell.org
> http://www.haskell.org/mailman/listinfo/ghc-devs